function PROC_StreetScenesDBToNewFeature_CleanUpFileFractions(NewLabel,MajorFractionIndex,options);
% function PROC_StreetScenesDBToNewFeature_CleanUpFileFractions(NewLabel,MajorFractionIndex,options);
% 
 
 d.HelpTextInfo = GetHelpTextInfo;
 d.ResetParallel = 0;
 d.bOverwrite = 1;
 d.bMandateSourceIndex = 0;
 d.SourceTemplate = 'AppearanceData_128x128_%s_f%.3d.mat';
 d.SourceRoot = '/cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector';
 d.Sourcevariablename = 'grayX';
 d.bSplitTo50s = 0;
 if(nargin < 3), options = [];, end;
 options = ResolveMissingOptions(options,d);
 Root = options.SourceRoot;
 sourceIdx = MajorFractionIndex;
 myIdx = sourceIdx;
 objidx = 1;
 if(myIdx > 10)
   objidx = 2;
   sourceIdx = sourceIdx - 10;
 end
 if(myIdx > 18)
   objidx = 3;
   sourceIdx = sourceIdx - 8;
 end
 
 objname{1} = 'car';
 objname{2} = 'pedestrian';
 objname{3} = 'bicycle';
 on = objname{objidx};
 NewTemplate = [NewLabel,'_%s_f%.3d.mat'];
 for i = 1:20
   PartSavename = [fullfile(Root,sprintf(NewTemplate, on,sourceIdx)),sprintf('part_%.2dof.%2d.mat',i,20)];
   if(exist(PartSavename))
     delete(PartSavename);
     fprintf('%s deleted \n',PartSavename);
   end
 end
